package cn.superdesk.uniorder.dao.mapper.operation;

import cn.superdesk.uniorder.dao.entity.operation.ExcelImportLog;
import cn.superdesk.uniorder.dao.entity.operation.ExcelImportLogExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ExcelImportLogMapper {
    long countByExample(ExcelImportLogExample example);

    int deleteByExample(ExcelImportLogExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ExcelImportLog record);

    int insertSelective(ExcelImportLog record);

    List<ExcelImportLog> selectByExampleWithBLOBs(ExcelImportLogExample example);

    List<ExcelImportLog> selectByExample(ExcelImportLogExample example);

    ExcelImportLog selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ExcelImportLog record, @Param("example") ExcelImportLogExample example);

    int updateByExampleWithBLOBs(@Param("record") ExcelImportLog record, @Param("example") ExcelImportLogExample example);

    int updateByExample(@Param("record") ExcelImportLog record, @Param("example") ExcelImportLogExample example);

    int updateByPrimaryKeySelective(ExcelImportLog record);

    int updateByPrimaryKeyWithBLOBs(ExcelImportLog record);

    int updateByPrimaryKey(ExcelImportLog record);
}